Metafunction
Eval
Convert from bool values to types (True and False).
Eval<b>::Type
Include Headers
seqan/basic.h
Parameters

b | The boolean to evaluate. Types: bool

Return Values
Either True or False, depending on b.
Examples
Demonstrate the usage of Eval to bridge between bool values and the logical tags.
void printBoolType(True const &)
{
std::cout << "true" << std::endl;
}
void printBoolType(False const &)
{
std::cout << "false" << std::endl;
}
int main(int argc, char ** argv)
{
using namespace seqan;
printBoolType(Eval<true>::Type()); // => "true\n"
printBoolType(Eval<false>::Type()); // => "false\n"
return 0;
}
See Also
Logical Values
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59